Bug 253024 - Review Request: makehuman - Modeling of three-dimensional humanoid characters
Summary: Review Request: makehuman - Modeling of three-dimensional humanoid characters
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 253022
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-16 17:21 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 17:38:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-08-16 17:21:52 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman-0.9-1.kwizart.fc6.src.rpm
Description: Modeling of three-dimensional humanoid characters

Comment 1 Mamoru TASAKA 2007-09-13 15:13:24 UTC
First comment:

* update-desktop-database
  - Not needed because this desktop does not contain any mimetypes.

* rpmlint
  - Please explain what the folloiwng zero-length files are for.
-------------------------------------------------------------
/usr/share/makehuman/targets/ns_tongue/tongue_camaleon.target
/usr/share/makehuman/targets/ns_teeth/teeth_gengivite.target
/usr/share/makehuman/targets/l_ear2/l_ear_incisura_intertragica_down.target
/usr/share/makehuman/targets/ns_abdomen/abdomen_twist.target
--------------------------------------------------------------

* Timestamp
  - This package installs many "data" files and keeping timestamps
    on those files is _very_ desirable.
    * First add the option 'INSTALL="install -p"' to 'make install'
      for files under /usr/share/makehuman/base.* .
  - For the rest of the files, almost of them are installed by
    "cp -R", like:
---------------------------------------------------------------
make[2]: Entering directory `/builddir/build/BUILD/makehuman-0.9/data'
make[2]: Nothing to be done for `install-exec-am'.
/builddir/build/BUILD/makehuman-0.9/install-sh -d
/var/tmp/makehuman-0.9-1.fc8-root-mockbuild/usr/share/makehuman
cp -R ./targets /var/tmp/makehuman-0.9-1.fc8-root-mockbuild/usr/share/makehuman
cp -R ./rotations /var/tmp/makehuman-0.9-1.fc8-root-mockbuild/usr/share/makehuman
cp -R ./rib_data /var/tmp/makehuman-0.9-1.fc8-root-mockbuild/usr/share/makehuman
----------------------------------------------------------------
     So, changing "cp -R" to "cp -pR" will keep timestamps on
     almost all files. Please fix the corresponding Makefile(s).

Comment 2 Mamoru TASAKA 2007-09-20 07:43:44 UTC
ping?

Comment 3 Nicolas Chauvet (kwizart) 2007-09-20 19:09:50 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman-0.9-2.kwizart.fc6.src.rpm
Description: Modeling of three-dimensional humanoid characters

The above issues are fixed.





Comment 4 Mamoru TASAKA 2007-09-21 07:26:37 UTC
Okay, almost good.

For -2:
? Icon
  - Can you find some icon suitable for the desktop of this package?
    (not a blocker)

* License
  - seems to be GPLv2+.

* Desktop Category
  - Category "Application" is deprecated and should be removed.

Comment 5 Nicolas Chauvet (kwizart) 2007-09-22 10:37:29 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/makehuman-0.9-3.kwizart.fc6.src.rpm
Description: Modeling of three-dimensional humanoid characters

I've took an icon from the makehuman pixmaps subdir.
Issues are fixed with release 3.


Comment 6 Mamoru TASAKA 2007-09-22 13:23:50 UTC
Okay.

----------------------------------------------------------
   This package (makehuman) is APPROVED by me
----------------------------------------------------------

Comment 7 Nicolas Chauvet (kwizart) 2007-09-22 13:35:36 UTC
New Package CVS Request
=======================
Package Name:      makehuman
Short Description: Modeling of three-dimensional humanoid characters
Owners:            kwizart
Branches:          F-7 FC-6 EL-5 EL-4
InitialCC:         <empty>
Commits by cvsextras: yes

Comment 8 Kevin Fenzi 2007-09-25 23:15:02 UTC
cvs done.

Comment 9 Mamoru TASAKA 2007-09-27 12:44:39 UTC
Please rebuild also on F-7, FC-6 and close this bug.

Comment 10 Nicolas Chauvet (kwizart) 2007-10-02 11:29:35 UTC
I don't knwo to request mhgui to be in the buildroot for F-7.
I've send a mail to the rel-eng but didn't get any answears now...
maybe i need to tag makehuman for F-7 first?...

Comment 11 Mamoru TASAKA 2007-10-02 12:22:29 UTC
ping to rel-eng team again.
Or it may be faster that you request to move mhgui from testing
to stable.

Comment 12 Mamoru TASAKA 2007-10-09 15:19:44 UTC
Please close this bug when rebuild is done.


Note You need to log in before you can comment on or make changes to this bug.